Bug 79641 - [PATCH] astro/starplot: Fix pkg-plist to unbreak the port
Summary: [PATCH] astro/starplot: Fix pkg-plist to unbreak the port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Patrick Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-07 20:00 UTC by Renato Botelho
Modified: 2005-04-23 18:41 UTC (History)
1 user (show)

See Also:


Attachments
starplot-0.95.2_1.patch (1.09 KB, patch)
2005-04-07 20:00 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho 2005-04-07 20:00:15 UTC
- Fix pkg-plist to unbreak the port

Port maintainer (pat@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho 2005-04-07 20:09:29 UTC
Sorry, wrong patch, here is the correct:


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/astro/starplot/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- Makefile	12 Mar 2005 10:53:25 -0000	1.13
+++ Makefile	7 Apr 2005 19:04:26 -0000
@@ -14,8 +14,6 @@
 MAINTAINER=	pat@FreeBSD.org
 COMMENT=	3-dimensional viewer for star charts
 
-BROKEN=		Incomplete pkg-plist
-
 USE_X_PREFIX=	yes
 USE_REINPLACE=	yes
 USE_GMAKE=	yes
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/astro/starplot/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	29 Dec 2004 23:26:44 -0000	1.4
+++ pkg-plist	7 Apr 2005 19:04:26 -0000
@@ -19,3 +19,9 @@
 @dirrm %%DOCSDIR%%/html/images
 @dirrm %%DOCSDIR%%/html
 @dirrm %%DOCSDIR%%
+@unexec rmdir %D/share/locale/en@boldquot/LC_MESSAGES 2> /dev/null || true
+@unexec rmdir %D/share/locale/en@boldquot 2> /dev/null || true
+@unexec rmdir %D/share/locale/en@quot/LC_MESSAGES 2> /dev/null || true
+@unexec rmdir %D/share/locale/en@quot 2> /dev/null || true
+@unexec rmdir %D/share/locale/es/LC_MESSAGES 2> /dev/null || true
+@unexec rmdir %D/share/locale/es 2> /dev/null || true

Thanks
-- 
Renato Botelho <freebsd at galle dot com dot br>
AIM: RBGargaBR | ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

If God had intended Man to Smoke, He would have set him on Fire.
Comment 2 Erwin Lansing freebsd_committer 2005-04-07 20:17:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pat

Over to maintainer
Comment 3 Sergey Matveychuk freebsd_committer 2005-04-23 17:24:58 UTC
Patrick, if you have no time to care of the PR, can I commit it?

--
Sem.
Comment 4 Sergey Matveychuk freebsd_committer 2005-04-23 18:40:57 UTC
State Changed
From-To: open->closed

Committed, thanks!